#!/usr/bin/ksh

# Run this script to clear out all the stuff which gets build, leaving
#	you with a clean tree.
REMOVES="`ls | grep -v "^[:_]" | grep -v "^README" | grep -v "^BUILD"`"
if [ -n "$REMOVES" ]; then
	for remove in $REMOVES; do
		echo "Removing $remove ..."
		rm -rf $remove
	done
else
	echo "Things appear to already be cleared!"
fi
echo "Removal complete."
