#! /usr/bin/ksh

set -x
set -e

cd ../../$1

PATH=/opt/bin:/usr/local/bin:$PATH:/usr/ucb

rm -rf BIN
mkdir BIN

export CC=cc
cd jk/native2
./configure \
	--with-apxs2=/opt/apache2/bin/apxs \
	--with-apache2=/opt/apache2 \
	--with-tomcat41=/usr/lib/apache/jakarta-tomcat-4.1.17 \
	--with-java-home=/opt/java2-1.4.2/ --with-java-platform=2
# Note: the make will fail, but should get the library built, which are
#	the files jk/build/jk2/apache2/opt/apache2/modules as libmod_jk2.so*
make
#make test
