#! /usr/bin/ksh

set -x
set -e

cd ../../$1

CDIR=`pwd`

rm -rf ../bin/$1
mkdir -p ../bin/$1

files="`ls *.tar.gz`"
for compr in $files; do
	DIR=${compr%%.tar.gz}
	DIR="`ls -d ${DIR}-*`"
	cd $DIR
	make DESTDIR=`pwd`/../../bin/$1/ install
	cd $CDIR
done

cd $CDIR/../bin/$1
find opt/ \( -name ".packlist" -o -name "perllocal.pod" \) -exec \
	perl -pi -e 's%.*\.\./\.\./bin/perlmods%%g' {} \;
