#! /usr/bin/ksh

set -x
set -e

cd ../../$1

export LD_LIBRARY_PATH=`pwd`

sh Configure -des \
	-Dmyhostname=localhost \
	-Dperladmin=root@localhost \
	-Dcf_by='SCO' \
	-Dprefix=/opt \
	-Darchname=i386-unixware-thread-multi \
	-Dinstallprefix=`pwd`/../bin/$1/opt \
	-Dusemymalloc=n \
	-Dusethreads -Duseithreads \
	-Dpager='/usr/bin/pg' \
	-Dsh=/u95/bin/sh \
	-Dsh_path=/u95/bin/sh \
	-Dlibs='-lsocket -lnsl -ldl -lld -lm -lcrypt -lutil' \
	-Dosname='unixware' \
	-Adefine:osname='unixware'

make
#make test
