#!/usr/bin/ksh

PROD="$1"

set -x

#
# Make sure that signal masks get saved.  Otherwise, defaults get used, and
# this could cause problems for other programs.  For example, without this,
# the threaded apache 2 server ignored sighups during shutdown, so the
# 'apachectl stop' never fully shut down the server.
#
perl -pi -e 's%SCOPE_SAVES_SIGNAL_MASK[	 ]0%SCOPE_SAVES_SIGNAL_MASK	1%g' ../../$PROD/scope.h
